{% extends '../recipes/base.html' %}
{% block title %}
Edit Profile |
{% endblock %}
{% block bodyclass %}edit-profile {{ form.unit_system.value|lower }}{% endblock %}
{% block body %}
{{ weights|json_script:"weights_data" }}
<div class="container">
  <h1>Edit profile</h1>
  <form method="post" class="profile-form">
    <div class="container row">
      <div class="col-12 col-lg-9">
        {% csrf_token %}
        <div class="form-group row align-items-center">
          <label class="col-4 col-lg-3 col-form-label">Username:</label>
          <input type="hidden" id="user_id" name="user_id" value="{{ user.pk }}">
          <div class="col-8 col-lg-9 text-left">{{ user }}</div>
        </div>
        <div class="form-group row align-items-center">
          <label class="col-4 col-lg-3 col-form-label">{{ form.unit_system.label_tag }}</label>
          <div class="col-8 col-lg-9 inline-radio">
            {{ form.unit_system }}
          </div>
          {% for error in form.unit_system.errors %}
          <div class="alert alert-danger" role="alert">
            {{ error }}
          </div>
          {% endfor %}
        </div>
        <div class="form-group row align-items-center">
          <label class="col-4 col-lg-3 col-form-label">{{ form.height.label_tag }}</label>
          <div class="input-group col-7 col-lg-3">
            <input type="number" id="id_height" name="height" value="{{ form.height.value }}" data-unit="cm" data-precision="0" step="0.01" class="met form-control">
            <input type="number" id="id_height_imp" value="" data-unit="ft" data-precision="2" step="0.01" class="imp form-control">
            <div class="input-group-append">
              <span class="input-group-text"><span class="imp">feet</span><span class="met">cm</span></span>
            </div>
          </div>
          <div class="col-1 col-lg-6"></div>
          {% for error in form.height.errors %}
          <div class="alert alert-danger" role="alert">
            {{ error }}
          </div>
          {% endfor %}
        </div>
        <div class="form-group row align-items-center">
          <label class="col-4 col-lg-3 col-form-label">{{ form.weight.label_tag }}</label>
          <div class="input-group col-7 col-lg-3">
            <input type="number" id="id_weight" name="weight" value="{{ form.weight.value }}" data-unit="kg" data-precision="2" step="0.01" class="met form-control">
            <input type="number" id="id_weight_imp" value="" data-unit="lb" data-precision="2" step="0.01" class="imp form-control">
            <div class="input-group-append">
              <span class="input-group-text"><span class="imp">lb</span><span class="met">kg</span></span>
            </div>
          </div>
          <div class="col-1 col-lg-6"></div>
          {% for error in form.height.errors %}
          <div class="alert alert-danger" role="alert">
            {{ error }}
          </div>
          {% endfor %}
        </div>
        <div class="form-group row align-items-center">
          <label class="col-4 col-lg-3 col-form-label">{{ form.body_fat.label_tag }}</label>
          <div class="input-group col-7 col-lg-3">
            <input type="number" id="id_body_fat" name="body_fat" value="{{ form.body_fat.value }}" data-precision="2" step="0.01" class="form-control">
            <div class="input-group-append">
              <span class="input-group-text">%</span>
            </div>
          </div>
          <small  class="text-muted body_fat_help col-12 col-lg-6">Use a body fat scale to determine this value.</small>
          {% for error in form.body_fat.errors %}
          <div class="alert alert-danger" role="alert">
            {{ error }}
          </div>
          {% endfor %}
        </div>
        <div class="form-group row align-items-center">
          <label class="col-4 col-lg-3 col-form-label">{{ form.target_weight.label_tag }}</label>
          <div class="input-group col-7 col-lg-3">
            <input type="number" id="id_target_weight" name="target_weight" value="{{ form.target_weight.value }}" data-unit="kg" data-precision="2" step="0.01" class="met form-control">
            <input type="number" id="id_target_weight_imp" value="" data-unit="lb" data-precision="2" step="0.01" class="imp form-control">
            <input type="hidden" id="s_weight">
            <div class="input-group-append">
              <span class="input-group-text"><span class="imp">lb</span><span class="met">kg</span></span>
            </div>
          </div>
          <small  class="text-muted target_weight_help col-12 col-lg-6">
            <span class="suggested_weight met"></span><span class="suggested_weight_imp imp"></span>
          </small>
          {% for error in form.target_weight.errors %}
          <div class="alert alert-danger" role="alert">
            {{ error }}
          </div>
          {% endfor %}
        </div>
        <div class="form-group row align-items-center">
          <label class="col-4 col-lg-3 col-form-label">{{ form.activity.label_tag }}</label>
          <div class="col-8 col-lg-7">
            {{ form.activity }}
          </div>
          {% for error in form.activity.errors %}
          <div class="alert alert-danger" role="alert">
            {{ error }}
          </div>
          {% endfor %}
        </div>
        <div class="form-group row align-items-center">
          <label class="col-4 col-lg-3 col-form-label">{{ form.target_calories.label_tag }}</label>
          <div class="input-group col-7 col-lg-3">
            <input type="number" id="id_target_calories" name="target_calories" value="{{ form.target_calories.value }}"step="1" class="form-control">
            <div class="input-group-append">
              <span class="input-group-text">kcal</span>
            </div>
          </div>
          <small class="col-12 col-lg-6 text-muted target_calories_help"></small>
          {% for error in form.target_calories.errors %}
          <div class="alert alert-danger" role="alert">
            {{ error }}
          </div>
          {% endfor %}
        </div>
        <button type="submit" class="btn btn-block btn-success">Save changes</button>
        <br>
      </div>
      <div class="col-12 col-lg-3">
        <div class="bmi-container">
          <h4 class="text-center">Current BMI</h4>
          <div class="bmi">N/A</div>
        </div>
        <div class="tdee-container" title="Total Daily Energy Expenditure">
          <h4 class="text-center">TDEE</h4>
          <div class="tdee">N/A</div>
        </div>
        <div class="weight-chart">
          <h4 class="text-center">Your progress</h4>
          <canvas id="myChart" width="100%" height="100"></canvas>
        </div>
      </div>
    </div>
  </form>
</div>
{{ form.media }}
{% endblock %}
